Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class AllElementStripper

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              net.sf.saxon.event.Stripper
                  net.sf.saxon.om.AllElementStripper

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class AllElementStripper
extends Stripper

The AllElementStripper refines the Stripper class to do stripping of all whitespace nodes in a document

Field Summary

Fields inherited from class net.sf.saxon.event.Stripper
`ALWAYS_PRESERVE, ALWAYS_STRIP, CANNOT_STRIP, PRESERVE_PARENT, STRIP_DEFAULT`

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver, systemId`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`AllElementStripper()`

Method Summary
`Stripper` | `getAnother()` Get a clean copy of this stripper
`static AllElementStripper` | `getInstance()`
`byte` | `isSpacePreserving(int nameCode)` Decide whether an element is in the set of white-space preserving element types
`byte` | `isSpacePreserving(NodeInfo element)` Decide whether an element is in the set of white-space preserving element types.

Methods inherited from class net.sf.saxon.event.Stripper
`attribute, characters, endElement, getStripAll, open, setPipelineConfiguration, setStripAll, startElement`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`close, comment, endDocument, getConfiguration, getDocumentLocator, getNamePool, getSystemId, getUnderlyingReceiver, namespace, processingInstruction, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllElementStripper

    public AllElementStripper()

Method Detail

### getInstance

    public static AllElementStripper getInstance()

### getAnother

    public Stripper getAnother()

  Description copied from class: `Stripper`
  Get a clean copy of this stripper

  Overrides:
    `getAnother` in class `Stripper`

### isSpacePreserving

    public byte isSpacePreserving(int nameCode)

  Decide whether an element is in the set of white-space preserving element types

  Overrides:
    `isSpacePreserving` in class `Stripper`
  Parameters:
    `nameCode` - identifies the element being tested
  Returns:
    STRIP_DEFAULT: strip spaces unless xml:space tells you not to.

### isSpacePreserving

    public byte isSpacePreserving(NodeInfo element)

  Decide whether an element is in the set of white-space preserving element types. This version of the method is useful in cases where getting the namecode of the element is potentially expensive, e.g. with DOM nodes.

  Overrides:
    `isSpacePreserving` in class `Stripper`
  Parameters:
    `element` - Identifies the element whose whitespace is possibly to be preserved
  Returns:
    ALWAYS_PRESERVE if the element is in the set of white-space preserving element types, ALWAYS_STRIP if the element is to be stripped regardless of the xml:space setting, and STRIP_DEFAULT otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD